(*
 * Small example program
 *)

let signal_callback event called fd event_type =
  (* Print information on the signal we received *)
  Printf.printf "Got signal: %d\n" (Liboevent.signal event);
  flush stdout;
 
  called := !called - 1;

  if !called <= 0 then
    Liboevent.del event

let _ =
  let sigint = 2 in  

  (* Create an event *)
  let signal_event = Liboevent.create () in

  (* Set the sigint signal *)
  Liboevent.set_signal signal_event sigint true
    (signal_callback signal_event (ref 2));

  (* Add the signal to the event library *)
  Liboevent.add signal_event None;

  Printf.printf "SIGINT me please!\n";
  flush stdout;

  (* Start the event dispatching mainloop *)
  Liboevent.dispatch ()
